> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Flows Runs

> List Flow Runs



## OpenAPI

````yaml GET /v1/flow-runs
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/flow-runs:
    get:
      tags:
        - flow-runs
      description: List Flow Runs
      parameters:
        - schema:
            type: array
            items:
              type: string
              pattern: ^[0-9a-zA-Z]{21}$
          in: query
          name: flowId
          required: true
        - schema:
            type: array
            items:
              type: string
          in: query
          name: tags
          required: true
        - schema:
            type: array
            items:
              type: string
              enum:
                - FAILED
                - QUOTA_EXCEEDED
                - INTERNAL_ERROR
                - PAUSED
                - QUEUED
                - RUNNING
                - SUCCEEDED
                - MEMORY_LIMIT_EXCEEDED
                - TIMEOUT
                - CANCELED
                - LOG_SIZE_EXCEEDED
          in: query
          name: status
          required: true
        - schema:
            type: number
          in: query
          name: limit
          required: false
        - schema:
            type: string
          in: query
          name: cursor
          required: false
        - schema:
            type: string
          in: query
          name: createdAfter
          required: false
        - schema:
            type: string
          in: query
          name: createdBefore
          required: false
        - schema:
            type: string
            pattern: ^[0-9a-zA-Z]{21}$
          in: query
          name: projectId
          required: true
        - schema:
            type: string
          in: query
          name: failedStepName
          required: false
        - schema:
            type: array
            items:
              type: string
              pattern: ^[0-9a-zA-Z]{21}$
          in: query
          name: flowRunIds
          required: true
        - schema:
            type: boolean
          in: query
          name: includeArchived
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        created:
                          type: string
                        updated:
                          type: string
                        projectId:
                          type: string
                        flowId:
                          type: string
                        parentRunId:
                          type: string
                        failParentOnFailure:
                          type: boolean
                        triggeredBy:
                          type: string
                        tags:
                          type: array
                          items:
                            type: string
                        flowVersionId:
                          type: string
                        flowVersion:
                          type: object
                          properties:
                            displayName:
                              type: string
                          additionalProperties: false
                        logsFileId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        status:
                          type: string
                          enum:
                            - FAILED
                            - QUOTA_EXCEEDED
                            - INTERNAL_ERROR
                            - PAUSED
                            - QUEUED
                            - RUNNING
                            - SUCCEEDED
                            - MEMORY_LIMIT_EXCEEDED
                            - TIMEOUT
                            - CANCELED
                            - LOG_SIZE_EXCEEDED
                        startTime:
                          anyOf:
                            - type: string
                            - type: 'null'
                        finishTime:
                          anyOf:
                            - type: string
                            - type: 'null'
                        environment:
                          type: string
                          enum:
                            - PRODUCTION
                            - TESTING
                        failedStep:
                          type: object
                          properties:
                            name:
                              type: string
                            displayName:
                              type: string
                          required:
                            - name
                            - displayName
                          additionalProperties: false
                        stepNameToTest:
                          type: string
                        archivedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        stepsCount:
                          type: number
                      required:
                        - id
                        - created
                        - updated
                        - projectId
                        - flowId
                        - failParentOnFailure
                        - flowVersionId
                        - status
                        - environment
                      additionalProperties: false
                  next:
                    anyOf:
                      - type: string
                      - type: 'null'
                  previous:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - data
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````